Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698922 - x11-libs/pango-1.44.7 version bump (and fallout caused by it)
Summary: x11-libs/pango-1.44.7 version bump (and fallout caused by it)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on: gtkglext-removal 706330 706344 703052 706342
Blocks:
  Show dependency tree
 
Reported: 2019-10-30 13:09 UTC by David Heidelberg (okias)
Modified: 2020-02-24 18:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Heidelberg (okias) 2019-10-30 13:09:58 UTC
Pullreq

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2019-10-30 13:28:41 UTC
There's at least one blocker bug:

https://gitlab.gnome.org/Archive/pangox-compat/issues/1
Comment 2 Davide Palma 2019-11-14 10:09:15 UTC
+1 please.
The pangox-library is very obsolete and not even in portage.
Comment 3 Davide Palma 2019-11-14 10:19:43 UTC
edit: it is, didn't look correctly
fwiw the only 5 packages that use pangox-compat as a dependency are
app-i18n/atokx23
net-misc/anydesk
x11-libs/gtkmathview
x11-libs/gtkglext
x11-wm/sawfish
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2019-11-14 10:52:40 UTC
There are more issues with the 1.44.x release:

dev-python/pygtk - There was [1] which has been closed meanwhile but there are still build issues.

I had two more packages failing when doing a rebuild but I have lost the log files meanwhile.


[1]: https://gitlab.gnome.org/GNOME/pango/issues/417
Comment 5 Mart Raudsepp gentoo-dev 2019-11-17 14:33:48 UTC
We also need to provide instructions on how to create fonts that work with pango-1.44 out of bitmap fonts, as that support was dropped, and some people use bitmap fonts as their monospace terminal/editor font, which would completely stop working with this new pango series.
Comment 6 Larry the Git Cow gentoo-dev 2020-02-03 02:36:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66d950c109ef07428aaf8a1d1d234ee7ba42df55

commit 66d950c109ef07428aaf8a1d1d234ee7ba42df55
Author:     David Heidelberg <david@ixit.cz>
AuthorDate: 2019-10-30 13:03:19 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-02-03 02:36:22 +0000

    x11-libs/pango: Version bump to 1.44.7
    
    From Polynomial-C's overlay.
    
    Closes: https://bugs.gentoo.org/698922
    Closes: https://github.com/gentoo/gentoo/pull/13498
    Signed-off-by: David Heidelberg <david@ixit.cz>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-libs/pango/Manifest                            |  1 +
 ...break.c-Only-test-Thai-breaks-with-libtha.patch | 35 ++++++++++
 x11-libs/pango/pango-1.44.7.ebuild                 | 81 ++++++++++++++++++++++
 3 files changed, 117 insertions(+)
Comment 7 Mart Raudsepp gentoo-dev 2020-02-03 08:50:51 UTC
Where is the news item with instructions on the bitmap font lack of support and how to convert bitmap fonts to things that pango-1.44 will still be working with?
Comment 8 Andreas Sturmlechner gentoo-dev 2020-02-03 10:19:29 UTC
Reopening then.
Comment 9 Larry the Git Cow gentoo-dev 2020-02-03 11:16:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8a8d7b4345fb3b3bad67d9ac5ef3c3d6b9eb707

commit e8a8d7b4345fb3b3bad67d9ac5ef3c3d6b9eb707
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2020-02-03 11:15:29 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2020-02-03 11:15:29 +0000

    package.mask: Mask issue causing x11-libs/pango-1.44
    
    It shouldn't have been pushed in the first place with all the
    known issues already marked blocking the bump bug...
    
    Bug: https://bugs.gentoo.org/698922
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 profiles/package.mask | 4 ++++
 1 file changed, 4 insertions(+)